<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: Device/Nuvoton/Nano1X2Series/Include/system_Nano1X2Series.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_92781df0a275b97b29ea05f684c53720.html">Nano1X2Series</a></li><li class="navelem"><a class="el" href="../../dir_fe641809c4fcb76112d224c9eb698e29.html">Include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">system_Nano1X2Series.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano1X2 series system clock definition file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/daf/system___nano1_x2_series_8h__dep__incl.png" border="0" usemap="#a_device_2_nuvoton_2_nano1_x2_series_2_include_2system___nano1_x2_series_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d9/dd8/system___nano1_x2_series_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a37c1644396b5996e92902bbf2dfc3ec5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#a37c1644396b5996e92902bbf2dfc3ec5">__HXT</a>&#160;&#160;&#160;(12000000UL)</td></tr>
<tr class="separator:a37c1644396b5996e92902bbf2dfc3ec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab781074cbf310ee17748083dbe36ae98"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ab781074cbf310ee17748083dbe36ae98">__LXT</a>&#160;&#160;&#160;(32768UL)</td></tr>
<tr class="separator:ab781074cbf310ee17748083dbe36ae98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad145c32431f633b887d84ef0c78f42f3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a>&#160;&#160;&#160;(12000000UL)</td></tr>
<tr class="separator:ad145c32431f633b887d84ef0c78f42f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5c5ec4722a291e1271743d45414223"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#aae5c5ec4722a291e1271743d45414223">__HIRC16M</a>&#160;&#160;&#160;(16000000UL)</td></tr>
<tr class="separator:aae5c5ec4722a291e1271743d45414223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f446dd2f087f409b4fc986c0c25c2a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#a6f446dd2f087f409b4fc986c0c25c2a9">__LIRC</a>&#160;&#160;&#160;(10000UL)</td></tr>
<tr class="separator:a6f446dd2f087f409b4fc986c0c25c2a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a059398441439432f24955fd7f66240dd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#a059398441439432f24955fd7f66240dd">__HIRC</a>&#160;&#160;&#160;<a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a></td></tr>
<tr class="separator:a059398441439432f24955fd7f66240dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbd628d8a30e6695b3715ae72a693e56"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a>&#160;&#160;&#160;(<a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a>)      /* Factory Default is internal 12MHz */</td></tr>
<tr class="separator:abbd628d8a30e6695b3715ae72a693e56"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a> (void)</td></tr>
<tr class="memdesc:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the SystemCoreClock with current core Clock retrieved from CPU registers.  <a href="../../d9/dd8/system___nano1_x2_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">More...</a><br /></td></tr>
<tr class="separator:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad0eab36ae6ce25e23219dc6a1e8fa73a">SysGet_PLLClockFreq</a> (void)</td></tr>
<tr class="memdesc:ad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate current PLL clock frequency.  <a href="../../d9/dd8/system___nano1_x2_series_8h.html#ad0eab36ae6ce25e23219dc6a1e8fa73a">More...</a><br /></td></tr>
<tr class="separator:ad0eab36ae6ce25e23219dc6a1e8fa73a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa3cd3e43291e81e795d642b79b6088e6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></td></tr>
<tr class="separator:aa3cd3e43291e81e795d642b79b6088e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63bedf89ae7fbb102b8653aca20d3a14"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a></td></tr>
<tr class="separator:a63bedf89ae7fbb102b8653aca20d3a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano1X2 series system clock definition file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>5 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/12/16 4:27p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a059398441439432f24955fd7f66240dd" name="a059398441439432f24955fd7f66240dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a059398441439432f24955fd7f66240dd">&#9670;&nbsp;</a></span>__HIRC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __HIRC&#160;&#160;&#160;<a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00031">31</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ad145c32431f633b887d84ef0c78f42f3" name="ad145c32431f633b887d84ef0c78f42f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad145c32431f633b887d84ef0c78f42f3">&#9670;&nbsp;</a></span>__HIRC12M</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __HIRC12M&#160;&#160;&#160;(12000000UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00028">28</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="aae5c5ec4722a291e1271743d45414223" name="aae5c5ec4722a291e1271743d45414223"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5c5ec4722a291e1271743d45414223">&#9670;&nbsp;</a></span>__HIRC16M</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __HIRC16M&#160;&#160;&#160;(16000000UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00029">29</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="abbd628d8a30e6695b3715ae72a693e56" name="abbd628d8a30e6695b3715ae72a693e56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbd628d8a30e6695b3715ae72a693e56">&#9670;&nbsp;</a></span>__HSI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __HSI&#160;&#160;&#160;(<a class="el" href="../../d9/dd8/system___nano1_x2_series_8h.html#ad145c32431f633b887d84ef0c78f42f3">__HIRC12M</a>)      /* Factory Default is internal 12MHz */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00032">32</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a37c1644396b5996e92902bbf2dfc3ec5" name="a37c1644396b5996e92902bbf2dfc3ec5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37c1644396b5996e92902bbf2dfc3ec5">&#9670;&nbsp;</a></span>__HXT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __HXT&#160;&#160;&#160;(12000000UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00026">26</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a6f446dd2f087f409b4fc986c0c25c2a9" name="a6f446dd2f087f409b4fc986c0c25c2a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f446dd2f087f409b4fc986c0c25c2a9">&#9670;&nbsp;</a></span>__LIRC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __LIRC&#160;&#160;&#160;(10000UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00030">30</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ab781074cbf310ee17748083dbe36ae98" name="ab781074cbf310ee17748083dbe36ae98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab781074cbf310ee17748083dbe36ae98">&#9670;&nbsp;</a></span>__LXT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __LXT&#160;&#160;&#160;(32768UL)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html#l00027">27</a> of file <a class="el" href="../../d9/dd8/system___nano1_x2_series_8h_source.html">system_Nano1X2Series.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ad0eab36ae6ce25e23219dc6a1e8fa73a" name="ad0eab36ae6ce25e23219dc6a1e8fa73a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0eab36ae6ce25e23219dc6a1e8fa73a">&#9670;&nbsp;</a></span>SysGet_PLLClockFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SysGet_PLLClockFreq </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculate current PLL clock frequency. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>PLL clock frequency. The clock UNIT is in Hz. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00028">28</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>

</div>
</div>
<a id="ae0c36a9591fe6e9c45ecb21a794f0f0f" name="ae0c36a9591fe6e9c45ecb21a794f0f0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0c36a9591fe6e9c45ecb21a794f0f0f">&#9670;&nbsp;</a></span>SystemCoreClockUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SystemCoreClockUpdate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the SystemCoreClock with current core Clock retrieved from CPU registers. </p>
<p >Update SystemCoreClock variable</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Updates the SystemCoreClock with current core Clock retrieved from CPU registers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00106">106</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/dd8/system___nano1_x2_series_8h_ae0c36a9591fe6e9c45ecb21a794f0f0f_cgraph.png" border="0" usemap="#ad9/dd8/system___nano1_x2_series_8h_ae0c36a9591fe6e9c45ecb21a794f0f0f_cgraph" alt=""/></div>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/dd8/system___nano1_x2_series_8h_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph.png" border="0" usemap="#ad9/dd8/system___nano1_x2_series_8h_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph" alt=""/></div>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a63bedf89ae7fbb102b8653aca20d3a14" name="a63bedf89ae7fbb102b8653aca20d3a14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63bedf89ae7fbb102b8653aca20d3a14">&#9670;&nbsp;</a></span>CyclesPerUs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CyclesPerUs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Cycles per micro second </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00021">21</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>

</div>
</div>
<a id="aa3cd3e43291e81e795d642b79b6088e6" name="aa3cd3e43291e81e795d642b79b6088e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3cd3e43291e81e795d642b79b6088e6">&#9670;&nbsp;</a></span>SystemCoreClock</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SystemCoreClock</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >System Clock Frequency (Core Clock) </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00020">20</a> of file <a class="el" href="../../d5/d7e/system___nano1_x2_series_8c_source.html">system_Nano1X2Series.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
